Package org.bukkit.material

# Class Vine

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Vine

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Vine extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a vine

## Constructor Summary

Constructors
Constructor
Description
`Vine()`
Deprecated.
`Vine(byte data)`
Deprecated.
Magic value
`Vine(EnumSet<BlockFace> faces)`
Deprecated.
`Vine(BlockFace... faces)`
Deprecated.
`Vine(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Vine`
`clone()`
Deprecated.
`boolean`
`isOnFace(BlockFace face)`
Deprecated.
Check if the vine is attached to the specified face of an adjacent block.
`void`
`putOnFace(BlockFace face)`
Deprecated.
Attach the vine to the specified face of an adjacent block.
`void`
`removeFromFace(BlockFace face)`
Deprecated.
Detach the vine from the specified face of an adjacent block.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Vine

public Vine()
Deprecated.

### Vine

@Deprecated public Vine(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### Vine

@Deprecated public Vine(byte data)
Deprecated.
Magic value

Parameters:
  `data` - the raw data value

### Vine

public Vine(BlockFace... faces)
Deprecated.

### Vine

public Vine(EnumSet<BlockFace> faces)
Deprecated.

## Method Details

### isOnFace

public boolean isOnFace(BlockFace face)
Deprecated.
Check if the vine is attached to the specified face of an adjacent block. You can check two faces at once by passing e.g. `BlockFace.NORTH_EAST`.

Parameters:
  `face` - The face to check.
Returns:
  Whether it is attached to that face.

### putOnFace

public void putOnFace(BlockFace face)
Deprecated.
Attach the vine to the specified face of an adjacent block.

Parameters:
  `face` - The face to attach.

### removeFromFace

public void removeFromFace(BlockFace face)
Deprecated.
Detach the vine from the specified face of an adjacent block.

Parameters:
  `face` - The face to detach.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Vine clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`